[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Math' (#rtl)

# LnXP1

Return natural logarithm of 1+X

## Declaration

Source position: math.pp line 393

`function LnXP1(`
`x: Float`
`):Float;`

## Description

Lnxp1 returns the natural logarithm of 1+X. The result is more precise for small values of x. x should be larger than -1.

## Errors

If $x\leq -1$ then an EInvalidArgument exception will be raised.

## See also

ldexp |  | Return (2 to the power p) times x
log10 |  | Return 10-Based logarithm.
log2 |  | Return 2-based logarithm
logn |  | Return N-based logarithm.

## Example

    Program Example20;

    { Program to demonstrate the lnxp1 function. }

    Uses math;

    begin
      writeln(lnxp1(0));
      writeln(lnxp1(0.5));
      writeln(lnxp1(1));
    end.